[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Truncate

Truncate the stream size on current position.

## Declaration

Source position: objects.pp line 287

`procedure TStream.Truncate; virtual;`

## Description

Truncate is an abstract procedure that should be overridden by descendent objects. It serves to enable the programmer to truncate the size of the stream to the current file position.

For an example, see TDosStream.Truncate.

## Errors

None.

## See also

TStream.Seek |  | Set stream position.

Documentation generated on: Feb 26 2014